/* --- COLORS --- */

:root {
  --lt: #ffffff;
  --lt2: #88da78;
  --md: #8ace6f;
  --drk: #3f726a;
  --drk2: #73aca3;
  --bg: #ffeed3;
  --txt: #3a5579;
}
/* --- END OF COLORS --- */

/* BG */

html {
  font-family: "MS UI Gothic", Arial, sans-serif;
  background-image:  url(https://file.garden/aGVgARL4OBP7L4sn/whatever%20this%20is.png), linear-gradient(to top, #A4DF84,#6B9896);
  animation: bg-move 80s linear infinite;
  margin: 0;
  line-height:20px;
 background-attachment: fixed; 
image-rendering: crisp-edges; 
font-size: 15px;
cursor:url('https://file.garden/aRWpD6C0BHrrKsQP/tgr/Normal%20Select.cur'), auto
}

     a {
      cursor:url(https://file.garden/aRWpD6C0BHrrKsQP/tgr/Link%20Select.cur), pointer;
     }

body {
    margin: 0;
    color: var(--txt)
}
.floor {
background-image: linear-gradient(0deg,rgba(187, 59, 42, 0.63) 0%, rgba(0, 0, 0, 0) 100%), url(https://64.media.tumblr.com/474f795f0441dcd1d23e054f2066055b/f0d6414b7414f996-32/s250x400/a6d636ad0645229aeb112eb5b187787d4e593d47.pnj);
background-size:90px;
bottom:-90px;
width:100vw;
height:40vh;
position:fixed;
border-top:solid rgb(211, 138, 78) 10px;
z-index:-10;
}
@keyframes bg-move {
  from { background-position: -50% -50%, 0 0; }
  to   { background-position: 261% 259%, 0 0; }
}

/* END OF BG */

.wrapper {
  display: grid;
  grid-template-columns: 190px auto 190px;
  grid-template-rows: 141px 18px auto 10px auto;
  grid-template-areas:
    "header header header"
    "top top top"
    "left main right"
    "bottom bottom bottom"
    "footer footer footer";
  max-width: 1100px;
  margin: 0 auto;
  padding: 10px 10px;
  min-height: 100vh;
filter: drop-shadow(3px 3px 0 rgba(0, 0, 0, 0.253))
}

/* HEADER */

.logo {
animation-name: floating; 
animation-duration: 3s; 
animation-iteration-count: infinite; 
animation-timing-function: ease-in-out;
} 

@keyframes floating { 
0% { 
transform: translate(-40px, -50px); 
} 

50%  { 
transform: translate(-40px, -55px); 
} 

100%   {
transform: translate(-40px, -50px); 
} 
}     
    


/* --- ELEMENTS OF THE LAYOUT --- */

.top {
  grid-area: top;
  text-align: center;
    border: solid var(--drk) 3px;
    background: linear-gradient(180deg,rgb(84, 101, 177) 0%, var(--drk) 12%, rgba(63, 171, 101, 1) 93%);
  margin-top:-20px;
}

.header {
  grid-area: header;
  text-align: center;
    border: solid var(--drk) 2px;
    background:url(/images/grid-02.png), linear-gradient(180deg,#e3ffd4 0%, #a4df84 14%, #3fab65 93%);
}

.main {
  grid-area: main;
  text-align: center;
    border: solid var(--drk) 1px;
    background-color:var(--bg);
      border-block:none;
      border-left: none;
      width: auto;
  height: auto;
  min-height: 400px;
  overflow:auto;
  overflow-x: hidden;
  padding:50px;
}

.sidebar {
  grid-area:left, right;
  text-align: center;
    border: solid #bb3b2aa1 2px;
    background: linear-gradient(0deg,#bb3b2aa1 0%, #00000000 100%), url(https://64.media.tumblr.com/474f795f0441dcd1d23e054f2066055b/f0d6414b7414f996-32/s250x400/a6d636ad0645229aeb112eb5b187787d4e593d47.pnj);
    border-right: none;
    border-block: none;
}

.sidebarcontent {
  padding:10px;
  position:sticky;
  width:220px;
  transform:translate(-30px, 0px);
  z-index:2;
  top:40px;
  height:10px;
}
.bottom {
  grid-area: bottom;
  text-align: center;
    background-color:var(--drk);
}

.footer {
  max-height:90px;
  margin-top:-10px;
  grid-area: footer;
  text-align: center;
    border: solid var(--drk) 2px;
    background: url(/images/grid-02.png), linear-gradient(180deg,rgba(227, 255, 212, 1) 0%, rgba(164, 223, 132, 1) 14%, rgba(63, 171, 101, 1) 93%);
 
}

/* --- END OF LAYOUT ELEMENTS --- */

.logo:hover {
cursor:url(https://file.garden/aRWpD6C0BHrrKsQP/tgr/Link%20Select.cur), pointer;
}
/* NAVBAR */

  .nav {
    justify-content: right;
    display: flex;          
    list-style-type: none;     
    padding: 0;              
    margin: 3px;                 
    gap: 20px;     
    font-size:20px;        
  z-index:3;
  position: relative;    
  }
 
  .navbutton {
    border-radius:2px;
    font-family:ms ui gothic;
    color:var(--txt);
    font-weight:bold;
    border: var(--drk) solid 2px; 
     background-image: linear-gradient(180deg,rgb(182, 241, 167) 0%, rgba(164, 223, 132, 1) 50%, rgb(81, 194, 121) 13%);
    padding:2px 10px;
    height:26px;
    font-size: 16px;
    margin-inline:-4px;
    z-index:3;
    transform: translateX(-10px);
        transition: all 0.2s;
     border-radius: 4px;
  }

    .navbutton:hover {
    border-radius:2px;
    font-family:ms ui gothic;
    color:var(--drk);
    font-weight:bold;
    border: var(--drk) solid 2px; 
    background-image: linear-gradient(180deg,rgb(231, 255, 184) 0%, rgba(164, 223, 132, 1) 50%, rgb(81, 194, 121) 13%);
    padding:2px 10px;
    margin-inline:-4px;
    z-index:3;
    cursor:url(https://file.garden/aRWpD6C0BHrrKsQP/tgr/Link%20Select.cur), pointer;
  }

  .navbar-content {
  display: none;
  position: absolute;
  text-align:left;
  background: linear-gradient( var(--lt) 0%, var(--bg) 100%);
  min-width: 101px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  transform: translate(-10px, 2px);
  border-radius: 3px;
  border: var(--drk) solid 2px; 
}

.navbutton:hover .navbar-content {
  z-index:2;
  display: block;
  opacity: 1; 
  }

  .navbar-content a {
background: linear-gradient( var(--lt) 0%, var(--bg) 100%);
border-bottom: var(--drk2) solid 1px;
  display: flex;
  align-items:center;
  min-height:10px; 
  font-size:13px;
  min-width:101px;
  padding: 10px;
  transition: all 0.3s;
  text-decoration: none;
  }


    .navbar-content a:hover {
      color: var(--drk);
background: linear-gradient( var(--bg) 0%, var(--bg) 100%);
  }

/* END OF NAVBAR */

/* SIDEBAR ELEMENTS */

.sbtitle {
  width: 100%;
box-sizing: border-box;
  min-height: 40px;
  background: linear-gradient(180deg,rgba(227, 255, 212, 1) 0%, rgba(164, 223, 132, 1) 17%, rgba(63, 171, 101, 1) 94%, rgba(164, 223, 132, 1) 100%);
 display:flex;
 align-items:center;
 justify-content:center;
  border-radius: 10px 10px 0 0;
 border: 1px var(--drk) solid;
filter: drop-shadow(3px 3px 0 rgba(101, 9, 9, 0.253));
}

.sbcontents {
  width: 100%;
box-sizing: border-box;
  min-height: 40px;
  background: linear-gradient(0deg,rgba(255, 250, 217, 1) 0%, rgba(255, 255, 255, 1) 91%);
  border-radius: 0px 0px 1px 10px;
 border: 1px var(--drk) solid;
 padding:10px;
filter: drop-shadow(3px 3px 0 rgba(101, 9, 9, 0.253));
}

/* STATUES */

.leftstatue {
 position:fixed;
 bottom:-10px;
 left:-30px;
 z-index:20;
 max-width:600px;
 pointer-events:none;
  filter: drop-shadow(3px 10px 3px rgba(10, 10, 12, 0.295));

}

.rightstatue {
bottom:-10px;
 position:fixed;
 right:-30px;
 z-index:20;
 pointer-events:none;
  filter: drop-shadow(-3px 10px 3px rgba(10, 10, 12, 0.295));
}

.vines{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index:-1;
  height: 149px;
  background: url('/images/vines.png') repeat-x;
}

.vines2{
  position: absolute;
  width: 1148px;
  height: 149px;
  background: url('/images/vinessmall.png') repeat-x;
z-index:1;
opacity:0.8;
}


@media only screen and (max-width:1550px) {
  .leftstatue, .rightstatue, .pagedoll {
    display: none;
  }
}

/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: thin;
    scrollbar-color: var(--drk2) var(--bg);
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 10px;
  }

  *::-webkit-scrollbar-track {
    background: var(--bg);
  }

  *::-webkit-scrollbar-thumb {
    background-color: var(--drk2);
    border-radius: 10px;
    border: 3px groove var(--bg);
  }

/* TEXTAREA */

textarea {
  margin-block: 3px;
  width: 100%;
  height: 110px;
  padding: 12px;
  box-sizing: border-box;
  border: 2px solid var(--drk2);
  border-radius: 4px;
  background-color: var(--bg);
  font-size: 16px;
  resize: none;
  color: var(--txt)
}

/* PAGEDOLL */

.pagedoll {
  bottom:-12px;
 position:fixed;
 right:10px;
 z-index:400;
  filter: drop-shadow(-3px 10px 3px rgba(10, 10, 12, 0.295));
   animation: float 3s ease-in-out infinite;
        }

        @keyframes float {
            0% {
                transform: translateY(0);
            }

            50% {
                transform: translateY(3px);
            }

            100% {
                transform: translateY(0);
            }
        }


        .bubbletext {
  bottom:170px;
 position:fixed;
 right:220px;
 z-index:402;
 pointer-events:none;
  filter: drop-shadow(-1px 1px 0px rgb(31, 31, 117));
   animation: float2 2.9s ease-in-out infinite;
        }

        @keyframes float2 {
            0% {
                transform: translateY(50px);
            }

            50% {
                transform: translateY(40px);
            }

            100% {
                transform: translateY(50px);
            }
        }

        
#bubble {
 opacity: 0;
 transition: opacity 0.3s ease;
 pointer-events: none;
}

#bubble.visible {
 opacity: 1;
 pointer-events: auto;
}

#statuscafe {
    padding: .5em;
    background-color: #ffffff;
    color: #000000;
    border: solid rgb(177, 177, 177) 2px;
    border-right: none;
    border-radius: 20px;
    max-width: 151px;
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}

#statuscafe-username a {
    color: var(--drk2);
}

#statuscafe:after {
    content: '';
    position: absolute;
    display: block;
    width: 0;
    z-index: 1;
    border-style: solid;
    border-color: transparent rgb(255, 255, 255);
    border-width: 10px 0 10px 33px;
    top: 51%;
    right: -23px;
    margin-top: -10px;
}

/* END OF PAGEDOLL */

/* MUSIC PLAYER THINGY */

.musicplayer {
  bottom:10px;
  left:10px;
  position:fixed;
  z-index:90;
  pointer-events:none;
}

#box {
  height: 500px;
  width: 500px;
  border: 2px solid red;
  position: relative;
}

/* --- COLORS --- */

:root {
  --lt: #ffffff;
  --lt2: #88da78;
  --md: #68d19c;
  --drk: #3f726a;
  --drk2: #73aca3;
  --bg: #ffeed3;
  --txt: #3a5579;
  --txtdark: #24354b;
}

/* custom font */

@font-face {
    font-family: 'Syouwa Retro Pop';
    src: url('/fonts/Syouwa-Retro-Pop.woff2') format('woff2'),
        url('/fonts/Syouwa-Retro-Pop.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}